formatPosition {oce} | R Documentation

## Format Geographical Position in Degrees and Minutes

### Description

Format geographical positions to degrees, minutes, and hemispheres

### Usage

    formatPosition(latlon, isLat = TRUE, type = c("list", "string",
      "expression"), showHemi = TRUE)

### Arguments

`latlon` | a vector of latitudes or longitudes
`isLat` | a boolean that indicates whether the quantity is latitude or longitude
`type` | a string indicating the type of return value (see below)
`showHemi` | a boolean that indicates whether to indicate the hemisphere

### Value

A list containing `degrees`, `minutes`, `seconds`, and `hemispheres`, or a vector of strings or (broken) a vector of expressions.

### Author(s)

Dan Kelley

### Examples

    library(oce)
    formatPosition(10+1:10/60+2.8/3600)
    formatPosition(10+1:10/60+2.8/3600, type="string")

[Package oce version 0.9-22 Index]